﻿#BlocNvidia {
    overflow: hidden;
    margin: auto;
    width: auto;
    height: auto;
}

    #BlocNvidia .listeNvidia .containerNvidia {
        margin-left: 0;
    }

    #BlocNvidia .listeNvidia .slideNvidia {
        max-width: 573px;
        margin-bottom: 10px !important; /* Espacement minimal entre les lignes */
        display: block;
    }

    #BlocNvidia .containerSwiperWithScrollbar {
        display: flex;
        flex-direction: column;
        gap: 25px;
    }


    #BlocNvidia .listeNvidia.VignetteNvidia {
        display: flex;
        flex-direction: column;
        gap: 30px;
    }

    #BlocNvidia .containerArrowPrevNext {
        display: flex;
        gap: 15px;
        justify-content: flex-end;
        right: 330px;
        position: relative;
    }

    #BlocNvidia .VignetteNvidia_SwiperPrev, .VignetteNvidia_SwiperNext {
        display: flex;
        width: 30px;
        height: 35px;
        padding: 10px 10px 9px 10px;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        background: var(--nvidia);
    }

    #BlocNvidia .swiper-pagination {
        display: none;
    }

    #BlocNvidia .swiper-pagination-bullet-active.swiper-pagination-bullet-active-main {
        width: 30px !important;
        border-radius: 24px !important;
        background: #000;
    }

    #BlocNvidia .swiper-pagination-bullet {
        width: 15px !important;
        border-radius: 24px !important;
        background: #464646;
    }

    #BlocNvidia .listeNvidia .swiper-scrollbar {
        display: none;
        position: relative !important; /* Positionne la scrollbar correctement */
        left: 50%;
        transform: translateX(-50%);
        max-width: 218px !important;
        background-color: #63636349;
        backdrop-filter: blur(10px);
        border-radius: 10px; /* Bordure arrondie */
        height: 10px !important; /* Hauteur de la scrollbar */
        cursor: pointer; /* Change le curseur pour indiquer que la scrollbar est cliquable */
    }

    #BlocNvidia .listeNvidia .swiper-scrollbar-drag {
        background-color: #202020; /* Couleur blanche pour la partie mobile */
        border-radius: 10px; /* Bordure arrondie pour la partie mobile */
        height: 100%; /* Hauteur de la partie mobile */
        cursor: grab; /* Change le curseur lors du survol de la partie mobile */
    }

@media screen and (max-width: 995px) {
    #BlocNvidia .containerArrowPrevNext {
        display: none;
    }

    #BlocNvidia .swiper-pagination {
        display: flex;
        height: auto;
        position: relative;
    }

    #BlocNvidia {
        padding: 0 80px;
        margin: auto;
        max-width: unset;
    }

        #BlocNvidia .listeNvidia.VignetteNvidia {
            overflow: hidden;
        }
}

@media screen and (max-width: 750px) {
    #BlocNvidia {
        padding: unset;
    }
}

@media screen and (max-width: 612px) {
    #BlocNvidia {
        height: auto;
        overflow: visible;
        margin: auto;
        max-width: 407px;
        width: 407px;
    }

        #BlocNvidia .containerArrowPrevNext {
            display: none;
        }

        #BlocNvidia .swiper-pagination {
            display: flex;
            height: auto;
            position: relative;
        }

        #BlocNvidia .listeNvidia .slideNvidia {
            max-width: 377px;
        }

        #BlocNvidia .listeNvidia .swiper-scrollbar {
            position: relative !important; /* Positionne la scrollbar correctement */
            top: 20px;
            left: 50%;
            transform: translateX(-50%);
            max-width: 407px !important;
            background-color: #63636349;
            backdrop-filter: blur(10px);
            border-radius: 10px; /* Bordure arrondie */
            height: 10px !important; /* Hauteur de la scrollbar */
            cursor: pointer; /* Change le curseur pour indiquer que la scrollbar est cliquable */
        }
}

@media screen and (max-width: 375px) {
    #BlocNvidia {
        height: auto;
        overflow: visible;
        margin: auto;
        max-width: 375px;
        width: 375px;
    }
}

@media screen and (max-width: 320px) {
    #BlocNvidia {
        height: auto;
        overflow: visible;
        margin: auto;
        max-width: 320px;
        width: 320px;
    }
}
